Download it now!
Bug 85889 - FILEOPEN RTF DOS files opened with wrong encoding
Summary: FILEOPEN RTF DOS files opened with wrong encoding
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.5.0
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2014-11-05 04:35 UTC by Urmas
Modified: 2015-12-17 05:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (980 bytes, text/rtf)
2014-11-05 04:35 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-11-05 04:35:05 UTC
Created attachment 108926 [details]
Sample

The attached DOS file is opened as ANSI instead of codepage 850.
Comment 1 tommy27 2014-11-05 04:56:14 UTC
hi, I do I see the encoding type after loading it in LibO?
Comment 2 Robinson Tryon (qubit) 2014-11-13 03:59:32 UTC
(In reply to tommy27 from comment #1)
> hi, [how] do I see the encoding type after loading it in LibO?

Urmas: if there is a visible difference in how the characters are being rendered, could you please provide screenshots of the expected/current rendering of the document?

Thanks

Status -> NEEDINFO
Comment 3 Urmas 2014-11-13 04:58:16 UTC
Everything what is needed to know is in RTF spec.
Comment 4 Commit Notification 2014-11-24 11:49:25 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31ef2b6396e2ebec10f84f21dfdee645690f5e62

fdo#85889 handle pc, pca and mac rtf keywords in writerfilter

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-11-24 12:28:28 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10d94280e7d23615f1bfe952fd0cf3be861f3618

Revert "fdo#85889 handle pc, pca and mac rtf keywords in writerfilter"

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-11-24 12:49:33 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7839633fb356285652ed96f4bf3f85bcd5b561a4

fdo#85889 handle pc, pca and mac rtf keywords in writerfilter

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Andras Timar 2014-11-24 17:05:24 UTC
Also in 4.4 beta2. Review is pending for 4.3.5.
Comment 8 Robinson Tryon (qubit) 2015-12-17 05:56:53 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
[NinjaEdit]